Release notes for DOS driver 10/20/92

Using the ScanMaker II with non-Twain applications


The ScanMaker II for the PC comes with Scan Module, software that
allows the scanner to be used with Twain compliant applications.
You can also use the scanner with applications that are not yet
Twain compliant, such as Picture Publisher and WordScan, by
following these steps.

Non Twain-compliant applications require a file called MSCAN.SYS
to be copied onto the hard drive and then added to the CONFIG.SYS
file. However, the newer ScanMaker II scanners cannot but used
with the MSCAN.SYS driver. To use the ScanMaker II, you must use
the software driver called MSCSI.SYS, and then get the
application to work with that software driver.

Part 1

The first step is to copy the file MSCSI.SYS to your hard drive.
Copy the file to the hard drive+s main directory. If your hard
drive is Drive C, and your floppy is Drive A, then place your
floppy disk in the drive and enter:

COPY A:\MSCSI.SYS C:\

Once the file is in the root directory, add it to the CONFIG.SYS
file. To add the new line to the CONFIG.SYS file, you can use any
text editor such as EDLIN in DOS, or you can use the Windows
Notepad application. The new line should look like this:

device=MSCSI.SYS

After adding the line to CONFIG.SYS, reboot your computer.

Part 2

The ScanMaker II for the PC comes with Scan Module, software that
allows the scanner to be used with Twain compliant applications.
ScanMaker II scanners use a software driver called MSCSI.SYS.
Here is how to use the MSCSI.SYS driver with applications that
are not Twain compliant, and are expecting the MSCAN.SYS driver.

The MSCSI.SYS driver is fully backward compatible with the
MSCAN.SYS driver. However, the techniques used for setting the
address with MSCAN.SYS and MSCSI.SYS are different; MSCAN.SYS
uses I/O port addresses, such as 200 and 300, while MSCSI.SYS
uses memory address, like d400 and d000.  In addition, MSCSI.SYS
requires the SCSI ID number information.

When asked to enter the I/O port address, enter a code number
that represents the SCSI ID and memory address. For example, if
your ScanMaker II SCSI ID setting is at 6 and the interface card
address is set at dc00, you can find the correct address code in
the following table. Just find where the correct SCSI ID column
intersects with the row containing the interface card address. In
this example, the correct code is 60.

With some applications, you may be required to use a 3 digit
number for the I/O address, while the number codes in the table
below are only 2 digits. If this happens, simply put a "2" or "3"
at the beginning of the code number. So in the above example, the
"60" would become "260". The extra number at the beginning has no
effect on the code. It is used only to fool the application.

Interface Card      Scanner SCSI ID Number
Address             0    1    2    3    4    5    6    

0xd400              06   05   04   03   02   01   00   
0xd000              16   15   14   13   12   11   10   
0xcc00              26   25   24   23   22   21   20   
0xc800              36   35   34   33   32   31   30   
0xe400              46   45   44   43   42   41   40   
0xe000              56   55   54   53   52   51   50   
0xdc00              66   65   64   63   62   61   60   
0xd800              76   75   74   73   72   71   70

Table 1. The Address and SCSI ID Mapping Table

Part 3

After you have set up the scanner, you are ready to use the
ScanMaker II. If the application gives you the option of
selecting the ScanMaker II, then choose ScanMaker II. If the
ScanMaker II is not directly supported, you can choose a
different scanner model, such as the 600Z or the 300Z.

In the case of Picture Publisher, you should select "600Z." If
you are using WordScan, then choose "Microtek scanners (all)."

Once you have selected your scanner, you will be able to use it
inside the application.
